Evaluations
List regression datasets
GET /v1/regression-datasets · SDK listRegressionDatasets · CLI deployments eval dataset list
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 8192limit?integerRange
1 <= value <= 100status?stringValue in
"active""archived"x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListRegressionDatasetsResponse
application/json- response
items*array<>nextCursor?string|nullcurl -X GET "https://example.com/v1/regression-datasets" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string"{ "items": [ { "archivedAt": "2019-08-24T14:15:22Z", "caseCount": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "name": "string", "ownerPrincipalId": "string", "retentionDays": 1, "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0 } ], "nextCursor": "string"}